import request from '@/utils/request'

// 分页查询仓库信息列表
export function pageListWarehouse(query) {
  return request({
    url: '/jxc/warehouse/pageList',
    method: 'get',
    params: query
  })
}

// 分页查询即将过期仓库信息列表
export function pageListByWarehouseWithExpire(query) {
  return request({
    url: '/jxc/warehouse/pageListByWarehouseWithExpire',
    method: 'get',
    params: query
  })
}

// 查询仓库信息列表
export function listWarehouse(query) {
  return request({
    url: '/jxc/warehouse/list',
    method: 'get',
    params: query
  })
}

// 查询仓库信息详细
export function getWarehouse(id) {
  return request({
    url: '/jxc/warehouse/' + id,
    method: 'get'
  })
}

// 新增仓库信息
export function addWarehouse(data) {
  return request({
    url: '/jxc/warehouse',
    method: 'post',
    data: data
  })
}

// 修改仓库信息
export function updateWarehouse(data) {
  return request({
    url: '/jxc/warehouse',
    method: 'put',
    data: data
  })
}

// 删除仓库信息
export function delWarehouse(id) {
  return request({
    url: '/jxc/warehouse/' + id,
    method: 'delete'
  })
}

// 导出仓库信息
export function exportWarehouse(query) {
  return request({
    url: '/jxc/warehouse/' + 'export',
    method: 'post',
    params: query
  })
}
